{
  "name": "githubtrigger",
  "display_name": "Github Trigger",
  "description": "Starts the workflow when Github events occur",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "githubApi",
      "required": true
    },
    {
      "name": "githubOAuth2Api",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "notice",
      "display_name": "Only members with owner privileges for an organization or admin privileges for a repository can set up the webhooks this node requires.",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "authentication",
      "display_name": "Authentication",
      "kind": "options",
      "required": false,
      "default": "accessToken"
    },
    {
      "name": "owner",
      "display_name": "Repository Owner",
      "kind": "resourceLocator",
      "required": true
    },
    {
      "name": "repository",
      "display_name": "Repository Name",
      "kind": "resourceLocator",
      "required": true
    },
    {
      "name": "events",
      "display_name": "Events",
      "kind": "multiOptions",
      "required": true,
      "description": "Any time any event is triggered (Wildcard Event)"
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "description": "Whether the SSL certificate of the n8n host be verified by GitHub when delivering payloads"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/Github/GithubTrigger.node.ts"
}